Apply by doing:
	cd /usr/src
	patch -p0 < 007_ftpd.patch

And then rebuild and install ftpd:
	cd libexec/ftpd
	make depend
	make
	make install

Index: libexec/ftpd/popen.c
===================================================================
RCS file: /cvs/src/libexec/ftpd/popen.c,v
retrieving revision 1.22
diff -p -u -p -u -r1.22 popen.c
--- libexec/ftpd/popen.c	30 Jun 2008 12:03:51 -0000	1.22
+++ libexec/ftpd/popen.c	12 Mar 2010 12:43:28 -0000
@@ -113,12 +113,13 @@ ftpd_popen(char *program, char *type)
 					fatal ("Out of memory.");
 			}
 
-		} else
+		} else if (gl.gl_pathc > 0) {
 			for (pop = gl.gl_pathv; *pop && gargc < MAX_GARGV-1; pop++) {
 				gargv[gargc++] = strdup(*pop);
 				if (gargv[gargc - 1] == NULL)
 					fatal ("Out of memory.");
 			}
+		}
 		globfree(&gl);
 	}
 	gargv[gargc] = NULL;
